package com.rl2.example.view {
	import com.rl2.example.event.DisplayEvent;
	import robotlegs.bender.bundles.mvcs.Mediator;

	/**
	 * @author Jonathan
	 */
	public class BaseMediator extends Mediator {
		
		[Inject]
		public var baseView:BaseView;
		
		public function BaseMediator() {
		}

		override public function initialize() : void {
			addContextListener(DisplayEvent.CLOSE_SCREEN, closeScreenHandler);
			addContextListener(DisplayEvent.OPEN_SCREEN, openScreenHandler);
		}

		private function openScreenHandler(event:DisplayEvent) : void {
			baseView.open();
		}

		private function closeScreenHandler(event:DisplayEvent) : void {
			baseView.close();
		}

	}
}
